Package net.snowflake.client.core

## Class FileUtil

- java.lang.Object
- - net.snowflake.client.core.FileUtil

    @SnowflakeJdbcInternalApi
    public class FileUtil
    extends Object

### Constructor Summary

Constructors
`FileUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `exists​(File file)`
`static void` `handleWhenDirectoryPermissionsWiderThanUserOnly​(File file, String context)`
`static void` `handleWhenFilePermissionsWiderThanUserOnly​(File file, String context)`
`static void` `handleWhenParentDirectoryPermissionsWiderThanUserOnly​(File file, String context)`
`static void` `handleWhenPermissionsWiderThanUserOnly​(Path filePath, String context, boolean isDirectory)`
`static boolean` `isWritable​(String path)`
`static void` `logFileUsage​(File file, String context, boolean logReadAccess)`
`static void` `logFileUsage​(String stringPath, String context, boolean logReadAccess)`
`static void` `logFileUsage​(Path filePath, String context, boolean logReadAccess)`
`static void` `throwWhenOwnerDifferentThanCurrentUser​(File file, String context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUtil

    public FileUtil()

### Method Detail

#### logFileUsage

    public static void logFileUsage​(Path filePath,
                                    String context,
                                    boolean logReadAccess)

#### logFileUsage

    public static void logFileUsage​(File file,
                                    String context,
                                    boolean logReadAccess)

#### logFileUsage

    public static void logFileUsage​(String stringPath,
                                    String context,
                                    boolean logReadAccess)

#### isWritable

    public static boolean isWritable​(String path)

#### handleWhenParentDirectoryPermissionsWiderThanUserOnly

    public static void handleWhenParentDirectoryPermissionsWiderThanUserOnly​(File file,
                                                                             String context)

#### handleWhenFilePermissionsWiderThanUserOnly

    public static void handleWhenFilePermissionsWiderThanUserOnly​(File file,
                                                                  String context)

#### handleWhenDirectoryPermissionsWiderThanUserOnly

    public static void handleWhenDirectoryPermissionsWiderThanUserOnly​(File file,
                                                                       String context)

#### handleWhenPermissionsWiderThanUserOnly

    public static void handleWhenPermissionsWiderThanUserOnly​(Path filePath,
                                                              String context,
                                                              boolean isDirectory)

#### throwWhenOwnerDifferentThanCurrentUser

    public static void throwWhenOwnerDifferentThanCurrentUser​(File file,
                                                              String context)

#### exists

    public static boolean exists​(File file)